﻿using MasterDetail.Core;
using MasterDetail.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasterDetail.ViewModels
{
    public class MasterViewModel : ViewModelBase
    {
        private MasterItem _selectedItem;
        public List<MasterItem> MasterItems { get; set; }

        public MasterItem SelectedItem
        {
            get { return _selectedItem; }
            set
            {
                if (_selectedItem != value)
                {
                    _selectedItem = value;
                    OnPropertyChanged();
                }
            }
        }
        public MasterViewModel()
        {
            MasterItems = new List<MasterItem>()
            {
            new MasterItem("Home","/MasterDetail;component/Images/home.png",new HomeViewModel()),
            new MasterItem("Detail", "/MasterDetail;component/Images/detail.png", new DetailViewModel())

            };
        }
    }
}
